Versandkosten
Configure shipping costs by method, terms, country, postcode, parcel count and weight with the VARIO Cloud API for flexible delivery pricing.
Shipping costs.
an identifier
successful operation
Shipping costs with conditions.
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Country code.
Postal code from.
Postal code to.
From this number of parcels.
From this weight (shipment weight).
Costs net.
Costs gross.
Is this a purchase price?
falseCurrency (ISO-A3).
Resource with given ID was not found
GET /erp/delivery/shipping-costs/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"countryCode": "text",
"fromPostcode": "text",
"toPostcode": "text",
"fromParcelCount": 1,
"fromShipmentWeight": 1,
"fromShipmentWeightUnitTypeRef": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"netPrice": 1,
"grossPrice": 1,
"purchasePrice": false,
"currencyCode": "text"
}an identifier
Shipping costs with conditions.
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Country code.
Postal code from.
Postal code to.
From this number of parcels.
From this weight (shipment weight).
Costs net.
Costs gross.
Is this a purchase price?
falseCurrency (ISO-A3).
successful operation
Shipping costs with conditions.
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Country code.
Postal code from.
Postal code to.
From this number of parcels.
From this weight (shipment weight).
Costs net.
Costs gross.
Is this a purchase price?
falseCurrency (ISO-A3).
Resource was not found
Resource was not valid to process
PUT /erp/delivery/shipping-costs/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 361
{
"version": "text",
"info": {},
"id": "text",
"deliveryMethodRef": {
"id": "text"
},
"deliveryTermRef": {
"id": "text"
},
"countryCode": "text",
"fromPostcode": "text",
"toPostcode": "text",
"fromParcelCount": 1,
"fromShipmentWeight": 1,
"fromShipmentWeightUnitTypeRef": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"netPrice": 1,
"grossPrice": 1,
"purchasePrice": false,
"currencyCode": "text"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"countryCode": "text",
"fromPostcode": "text",
"toPostcode": "text",
"fromParcelCount": 1,
"fromShipmentWeight": 1,
"fromShipmentWeightUnitTypeRef": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"netPrice": 1,
"grossPrice": 1,
"purchasePrice": false,
"currencyCode": "text"
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /erp/delivery/shipping-costs/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}Shipping costs with conditions.
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Country code.
Postal code from.
Postal code to.
From this number of parcels.
From this weight (shipment weight).
Costs net.
Costs gross.
Is this a purchase price?
falseCurrency (ISO-A3).
successful operation
Shipping costs with conditions.
Version Identifier for this Object (for PUT)
Unique identifier of the Object
Country code.
Postal code from.
Postal code to.
From this number of parcels.
From this weight (shipment weight).
Costs net.
Costs gross.
Is this a purchase price?
falseCurrency (ISO-A3).
Resource was not valid to process
POST /erp/delivery/shipping-costs HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 361
{
"version": "text",
"info": {},
"id": "text",
"deliveryMethodRef": {
"id": "text"
},
"deliveryTermRef": {
"id": "text"
},
"countryCode": "text",
"fromPostcode": "text",
"toPostcode": "text",
"fromParcelCount": 1,
"fromShipmentWeight": 1,
"fromShipmentWeightUnitTypeRef": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"netPrice": 1,
"grossPrice": 1,
"purchasePrice": false,
"currencyCode": "text"
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"deliveryMethodRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"deliveryTermRef": {
"id": "text",
"label": "text",
"description": "text",
"active": true
},
"countryCode": "text",
"fromPostcode": "text",
"toPostcode": "text",
"fromParcelCount": 1,
"fromShipmentWeight": 1,
"fromShipmentWeightUnitTypeRef": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"netPrice": 1,
"grossPrice": 1,
"purchasePrice": false,
"currencyCode": "text"
}Last updated
Was this helpful?